---
title: Grant Application Form
product: Form Library
description: A grant application form is used by non-profit organizations or individuals to apply for funding from grant-making bodies such as government agencies, foundations, or corporations. Easily integrate SurveyJS Form Builder with your existing system to manage applications and funding request form efficiently.
framework: Vanilla JS
source: https://surveyjs.io/form-library/examples/grant-application-form-template/vanillajs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Grant Application Form (Vanilla JS)

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import "survey-core/survey-core.min.css";
import { themeJson } from "./theme";
import "./index.css";
import { json } from "./json";

const survey = new Model(json);
survey.applyTheme(themeJson);
survey.onComplete.add((sender, options) => {
    console.log(JSON.stringify(sender.data, null, 3));
});

survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
 "title": "Grant Application Form for NPO",
 "completedHtml": "<h3>Thank you for submitting the application!</h3>",
 "pages": [
  {
   "name": "contact-information",
   "elements": [
    {
     "type": "text",
     "name": "contact-information-name",
     "title": "Name"
    },
    {
     "type": "text",
     "name": "contact-information-reg-number",
     "startWithNewLine": false,
     "title": "Organization registration number or date of birth"
    },
    {
     "type": "text",
     "name": "contact-information-address",
     "title": "Postal address"
    },
    {
     "type": "text",
     "name": "contact-information-municipality",
     "title": "Municipality"
    },
    {
     "type": "text",
     "name": "contact-information-county",
     "startWithNewLine": false,
     "title": "County"
    },
    {
     "type": "text",
     "name": "contact-information-tel",
     "title": "Telephone number including country and area codes",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "+99(9) 999-999-99"
     }
    },
    {
     "type": "text",
     "name": "contact-information-fax",
     "startWithNewLine": false,
     "title": "Fax number including country and area codes",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "+99(9) 999-999-99"
     }
    },
    {
     "type": "text",
     "name": "contact-information-email",
     "title": "E-mail address",
     "inputType": "email",
     "autocomplete": "email"
    },
    {
     "type": "text",
     "name": "contact-information-website",
     "startWithNewLine": false,
     "title": "Website (if relevant)",
     "inputType": "url"
    },
    {
     "type": "text",
     "name": "contact-information-contact-person",
     "title": "Contact person, (project manager)"
    }
   ],
   "title": "1. Contact information"
  },
  {
   "name": "applicant-details",
   "elements": [
    {
     "type": "boolean",
     "name": "registered-employer",
     "title": "Registered as the employer",
     "titleLocation": "top"
    },
    {
     "type": "boolean",
     "name": "VAT",
     "title": "Registered for VAT",
     "titleLocation": "top"
    },
    {
     "type": "text",
     "name": "vat-number",
     "visibleIf": "{VAT} = true",
     "title": "Specify the VAT registration number",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "aa999999999999"
     }
    },
    {
     "type": "boolean",
     "name": "bankruptcy",
     "title": "Is the applicant in a state of bankruptcy or under the supervision of an administrator, or does the applicant have debts for taxes and social security contributions?",
     "titleLocation": "top"
    },
    {
     "type": "checkbox",
     "name": "use",
     "title": "Will the grant be used in a business activity or an activity that is required to file VAT returns?\r",
     "titleLocation": "top",
     "choices": [
      {
       "value": "Item 1",
       "text": "Business activity"
      },
      {
       "value": "Item 2",
       "text": "Activity required to file VAT returns"
      }
     ],
     "colCount": 2
    },
    {
     "type": "radiogroup",
     "name": "organization-form",
     "title": "Organizational form",
     "titleLocation": "top",
     "choices": [
      {
       "value": "Item 1",
       "text": "Non-profit organization"
      },
      {
       "value": "Item 2",
       "text": "Foundation"
      },
      {
       "value": "Item 3",
       "text": "Limited company"
      },
      {
       "value": "Item 5",
       "text": "Registered religious community"
      }
     ],
     "showOtherItem": true,
     "otherText": "Other (please specify)",
     "colCount": 2
    },
    {
     "type": "text",
     "name": "operational-focus",
     "title": "The organization's operational focus"
    },
    {
     "type": "text",
     "name": "foundation-date",
     "startWithNewLine": false,
     "title": "When was the organisation formed?",
     "inputType": "date"
    },
    {
     "type": "text",
     "name": "number-members",
     "title": "Number of members",
     "inputType": "number"
    },
    {
     "type": "text",
     "name": "number-employees",
     "startWithNewLine": false,
     "title": "Number of employees",
     "inputType": "number"
    },
    {
     "type": "matrixdynamic",
     "name": "board-members",
     "title": "Board members or other management",
     "titleLocation": "top",
     "alternateRows": true,
     "columns": [
      {
       "name": "board-members-name",
       "title": "Name",
       "cellType": "text"
      },
      {
       "name": "board-members-address",
       "title": "Address",
       "minWidth": "300px",
       "width": "300px"
      },
      {
       "name": "board-members-tel",
       "title": "Telephone number",
       "cellType": "text",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      },
      {
       "name": "board-members-email",
       "title": "Email address",
       "cellType": "text",
       "inputType": "email",
       "placeholder": "example@gmail.com"
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "cellType": "text",
     "rowCount": 1,
     "addRowText": "Add a new entry"
    }
   ],
   "title": "2. Information about the applicant"
  },
  {
   "name": "grant-details",
   "elements": [
    {
     "type": "text",
     "name": "grant-details-name",
     "title": "Name of grant (if applicable)"
    },
    {
     "type": "text",
     "name": "grant-details-reference-number",
     "startWithNewLine": false,
     "title": "The Government Offices’ reference number (if applicable)"
    },
    {
     "type": "text",
     "name": "grant-details-ministry",
     "title": "Ministry that approves the grant (if the applicant knows)"
    },
    {
     "type": "text",
     "name": "grant-details-amount",
     "startWithNewLine": false,
     "title": "Amount",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "title": "3. Grant to which the application refers"
  },
  {
   "name": "planned-activities",
   "elements": [
    {
     "type": "comment",
     "name": "purpose",
     "title": "Purpose and objectives of the activities against which the results will be reported",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "target-groups",
     "title": "Target groups",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "planned-activities-question",
     "title": "Planned activities\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "own-contribution",
     "title": "Provide details of your own contribution",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "need",
     "title": "The need for the planned activities\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "panel",
     "name": "period",
     "elements": [
      {
       "type": "text",
       "name": "from",
       "title": "From",
       "inputType": "date"
      },
      {
       "type": "text",
       "name": "to",
       "startWithNewLine": false,
       "title": "To",
       "inputType": "date"
      }
     ],
     "title": "The period during which the activities will be carried out",
     "state": "collapsed"
    },
    {
     "type": "comment",
     "name": "gender",
     "title": "How does the applicant intend to gender mainstream the activities?",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "matrixdynamic",
     "name": "collaborations",
     "title": "There will be collaboration with the following companies, government agencies, organizations and institutions",
     "titleLocation": "top",
     "alternateRows": true,
     "columns": [
      {
       "name": "index",
       "title": "#",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "expression": "{rowIndex}"
      },
      {
       "name": "cooperation",
       "title": "In cooperation with",
       "cellType": "text"
      },
      {
       "name": "collaboration-description",
       "title": "Describe the envisioned collaboration",
       "cellType": "comment",
       "maxLength": 250,
       "rows": 1
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "rowCount": 1,
     "addRowText": "Add a new entry"
    },
    {
     "type": "comment",
     "name": "part",
     "title": "Which activities will be carried out if only part of the grant applied for is awarded?\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    }
   ],
   "title": "4. Planned activities"
  },
  {
   "name": "funding",
   "elements": [
    {
     "type": "text",
     "name": "funding-amount",
     "indent": 2,
     "title": "Grant sought from the Government or the Government Offices via this application",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    },
    {
     "type": "matrixdynamic",
     "name": "funding-details",
     "title": "Grants sought or received from other government agencies for implementation of the activities",
     "titleLocation": "top",
     "columns": [
      {
       "name": "funding-grant",
       "title": "Grant",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Totals:",
       "expression": "{rowIndex}"
      },
      {
       "name": "funding-agency",
       "title": "Government agency",
       "cellType": "text"
      },
      {
       "name": "funding-requested",
       "title": "Amount requested",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      },
      {
       "name": "funding-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "matrixdynamic",
     "name": "funding-activities",
     "title": "Grants for implementation of activities have also been sought or received from the following donors",
     "titleLocation": "top",
     "columns": [
      {
       "name": "donor-grant",
       "title": "Grant",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Totals:",
       "expression": "{rowIndex}"
      },
      {
       "name": "donor-donor",
       "title": "Donor",
       "cellType": "text"
      },
      {
       "name": "donor-requested",
       "title": "Amount requested",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      },
      {
       "name": "donor-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "matrixdynamic",
     "name": "other-revenue",
     "title": "Other revenue",
     "titleLocation": "top",
     "columns": [
      {
       "name": "other-revenue-funding",
       "title": "Funding",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Total:",
       "expression": "{rowIndex}"
      },
      {
       "name": "other-revenue-funding-details",
       "title": "Funding details",
       "cellType": "text"
      },
      {
       "name": "other-revenue-funding-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "text",
     "name": "own-contribution-question",
     "indent": 2,
     "title": "Own contribution",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "questionTitleWidth": "650px",
   "questionTitleLocation": "left",
   "title": "5. Funding of activities"
  },
  {
   "name": "activity-budget",
   "elements": [
    {
     "type": "text",
     "name": "activity-budget-revenue",
     "indent": 2,
     "title": "Revenue and own contribution",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    },
    {
     "type": "panel",
     "name": "costs-panel",
     "elements": [
      {
       "type": "matrixdynamic",
       "name": "salaries-costs",
       "title": "Salaries and social insurance contributions",
       "titleLocation": "top",
       "alternateRows": true,
       "columns": [
        {
         "name": "item",
         "title": "Item",
         "cellType": "expression",
         "minWidth": "5px",
         "width": "5px",
         "totalType": "count",
         "totalFormat": "Total:",
         "expression": "{rowIndex}"
        },
        {
         "name": "function",
         "title": "Function (e.g. project manager)",
         "cellType": "text"
        },
        {
         "name": "amount",
         "title": "Amount",
         "cellType": "text",
         "minWidth": "200px",
         "width": "200px",
         "totalType": "sum",
         "totalDisplayStyle": "currency",
         "maskType": "currency",
         "maskSettings": {
          "prefix": "$"
         }
        }
       ],
       "choices": [
        1,
        2,
        3,
        4,
        5
       ],
       "rowCount": 1,
       "addRowText": "Add a new entry"
      }
     ],
     "title": "Costs"
    },
    {
     "type": "matrixdropdown",
     "name": "costs-multi-select",
     "titleLocation": "hidden",
     "alternateRows": true,
     "columns": [
      {
       "name": "amount",
       "title": "Amount",
       "cellType": "text",
       "minWidth": "240px",
       "width": "240px",
       "totalType": "sum",
       "totalFormat": "Total: {0}",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "rows": [
      {
       "value": "Row 1",
       "text": "Office costs"
      },
      {
       "value": "Row 2",
       "text": "Travel costs"
      },
      {
       "value": "Row 3",
       "text": "Audit costs"
      }
     ]
    },
    {
     "type": "panel",
     "name": "other-costs-panel",
     "elements": [
      {
       "type": "matrixdynamic",
       "name": "other-costs",
       "startWithNewLine": false,
       "title": "Other costs",
       "titleLocation": "hidden",
       "alternateRows": true,
       "columns": [
        {
         "name": "item",
         "title": "Item",
         "cellType": "expression",
         "minWidth": "5px",
         "width": "5px",
         "totalType": "count",
         "totalFormat": "Total:",
         "expression": "{rowIndex}"
        },
        {
         "name": "cost-description",
         "title": "Cost description",
         "cellType": "text"
        },
        {
         "name": "amount",
         "title": "Amount",
         "cellType": "text",
         "minWidth": "200px",
         "width": "200px",
         "totalType": "sum",
         "totalDisplayStyle": "currency",
         "maskType": "currency",
         "maskSettings": {
          "prefix": "$"
         }
        }
       ],
       "choices": [
        1,
        2,
        3,
        4,
        5
       ],
       "rowCount": 1,
       "addRowText": "Add a new entry"
      }
     ],
     "title": "Other costs"
    },
    {
     "type": "text",
     "name": "total-costs",
     "indent": 2,
     "title": "Total costs:",
     "setValueIf": "{costs-multi-select.Row 1.amount} notempty or {costs-multi-select.Row 2.amount} notempty or {costs-multi-select.Row 3.amount} notempty or {salaries-costs[0].amount} notempty or {other-costs[0].amount} notempty",
     "setValueExpression": "{other-costs-total.amount} + {costs-multi-select-total.amount} + {salaries-costs-total.amount}",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "questionTitleWidth": "650px",
   "questionTitleLocation": "left",
   "title": "6. Activity budget"
  },
  {
   "name": "skills",
   "elements": [
    {
     "type": "comment",
     "name": "skills-prospects",
     "title": "Describe the applicant’s prospects of carrying out the activities described.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "skills-activities",
     "title": "Specify activities that have previously been conducted.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "file",
     "name": "skills-ani-corruption",
     "title": "Please attach the applicants anti-corruption policy or the equivalent.",
     "titleLocation": "top",
     "waitForUpload": true
    },
    {
     "type": "file",
     "name": "skills-risk-analysis",
     "startWithNewLine": false,
     "title": "Please attach the applicants risk analysis concerning the activity of the envisaged grant.",
     "titleLocation": "top",
     "waitForUpload": true
    },
    {
     "type": "comment",
     "name": "skills-other-information",
     "title": "Other information that the applicant wishes to present to confirm his or her skills to carry out the activities and achieve the specified goals.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    }
   ],
   "title": "7. Skills requirement regarding the activities covered by the grant application"
  },
  {
   "name": "page8",
   "elements": [
    {
     "type": "panel",
     "name": "reference-one-panel",
     "elements": [
      {
       "type": "text",
       "name": "reference-one-name",
       "title": "Name"
      },
      {
       "type": "comment",
       "name": "reference-one-address",
       "title": "Address",
       "maxLength": 200,
       "rows": 2,
       "autoGrow": true
      },
      {
       "type": "text",
       "name": "reference-one-email",
       "title": "E-mail address",
       "inputType": "email",
       "autocomplete": "email"
      },
      {
       "type": "text",
       "name": "reference-one-tel",
       "title": "Telephone number including area code",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      }
     ],
     "title": "Reference 1"
    },
    {
     "type": "panel",
     "name": "reference-two-panel",
     "elements": [
      {
       "type": "text",
       "name": "reference-two-name",
       "title": "Name"
      },
      {
       "type": "comment",
       "name": "reference-two-address",
       "title": "Address",
       "maxLength": 200,
       "rows": 2,
       "autoGrow": true
      },
      {
       "type": "text",
       "name": "reference-two-email",
       "title": "E-mail address",
       "inputType": "email",
       "autocomplete": "email"
      },
      {
       "type": "text",
       "name": "reference-two-tel",
       "title": "Telephone number including area code",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      }
     ],
     "title": "Reference 2",
     "startWithNewLine": false
    }
   ],
   "title": "8. References"
  },
  {
   "name": "other-information",
   "elements": [
    {
     "type": "comment",
     "name": "other-information-box",
     "title": "Please provide any further information that needs to be considered."
    }
   ],
   "title": "9. Other information in support of the specific grant"
  }
 ],
 "questionTitleLocation": "bottom",
 "showTOC": true,
 "widthMode": "static",
 "width": "1100"
};
```

### `src/theme.js`

```js
export const themeJson = {
    "themeName": "sharp",
    "colorPalette": "light",
    "isPanelless": true,
    "backgroundImage": "",
    "backgroundOpacity": 1,
    "backgroundImageAttachment": "scroll",
    "backgroundImageFit": "cover",
    "cssVariables": {
        "--sjs2-color-bg-basic-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-property-grid": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-tabs": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-toolbox": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-basic-primary-dim": "rgba(228, 228, 228, 1)",
        "--sjs2-color-bg-neutral-tertiary-dim": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-surface-survey-panelless": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-surface-survey": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-basic-secondary": "rgba(238, 238, 238, 1)",
        "--sjs2-color-bg-basic-secondary-dim": "rgba(220, 220, 220, 1)",
        "--sjs2-color-fg-basic-primary": "rgba(0, 0, 0, 0.91)",
        "--sjs2-color-fg-basic-secondary": "rgba(0, 0, 0, 0.6)",
        "--sjs2-color-project-brand-600": "rgba(103, 58, 176, 1)",
        "--sjs2-color-bg-brand-secondary": "rgba(103, 58, 176, 0.1)",
        "--sjs2-color-bg-brand-primary-dim": "rgba(69, 24, 142, 1)",
        "--sjs2-color-fg-brand-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-fg-brand-primary-disabled": "rgba(255, 255, 255, 0.25)",
        "--sjs2-base-unit-size": "8px",
        "--sjs2-base-unit-spacing": "8px",
        "--sjs2-base-unit-radius": "4px",
        "--sjs2-color-bg-accent-primary": "rgba(255, 152, 20, 1)",
        "--sjs2-color-bg-accent-secondary": "rgba(255, 152, 20, 0.1)",
        "--sjs2-color-bg-accent-secondary-dim": "rgba(255, 152, 20, 0.25)",
        "--sjs2-color-fg-accent-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-fg-accent-primary-disabled": "rgba(255, 255, 255, 0.25)",
        "--sjs2-border-effect-surface-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.2)",
        "--sjs2-border-effect-floating-default": "0px 2px 6px 0px rgba(0, 0, 0, 0.1),0px 8px 16px 0px rgba(0, 0, 0, 0.1)",
        "--sjs2-border-effect-component-formbox-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-border-effect-component-check-true-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-border-effect-component-check-false-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-color-border-basic-secondary": "rgba(0, 0, 0, 0.25)",
        "--sjs2-color-component-input-default-line": "rgba(0, 0, 0, 0.25)",
        "--sjs2-color-border-basic-secondary-overlay": "rgba(0, 0, 0, 0.16)",
        "--sjs2-color-bg-alert-primary": "rgba(229, 10, 62, 1)",
        "--sjs2-color-bg-alert-secondary": "rgba(229, 10, 62, 0.1)",
        "--sjs2-color-fg-alert-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-positive-primary": "rgba(25, 179, 148, 1)",
        "--sjs2-color-bg-positive-secondary": "rgba(25, 179, 148, 0.1)",
        "--sjs2-color-fg-positive-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-note-primary": "rgba(67, 127, 217, 1)",
        "--sjs2-color-bg-note-secondary": "rgba(67, 127, 217, 0.1)",
        "--sjs2-color-fg-note-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-warning-primary": "rgba(255, 152, 20, 1)",
        "--sjs2-color-bg-warning-secondary": "rgba(255, 152, 20, 0.1)",
        "--sjs2-color-fg-warning-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-typography-font-weight-component-header-title": "700",
        "--sjs2-typography-font-size-component-header-description": "20px",
        "--sjs2-typography-font-weight-component-page-title": "700"
    },
    "headerView": "basic"
};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/grant-application-form-template/angular.md)
- [React](https://surveyjs.io/form-library/examples/grant-application-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/grant-application-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/grant-application-form-template/jquery.md)


---
title: Grant Application Form
product: Form Library
description: A grant application form is used by non-profit organizations or individuals to apply for funding from grant-making bodies such as government agencies, foundations, or corporations. Easily integrate SurveyJS Form Builder with your existing system to manage applications and funding request form efficiently.
framework: Angular
source: https://surveyjs.io/form-library/examples/grant-application-form-template/angular
index: https://surveyjs.io/form-library/examples/overview.md
---

# Grant Application Form (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
 "title": "Grant Application Form for NPO",
 "completedHtml": "<h3>Thank you for submitting the application!</h3>",
 "pages": [
  {
   "name": "contact-information",
   "elements": [
    {
     "type": "text",
     "name": "contact-information-name",
     "title": "Name"
    },
    {
     "type": "text",
     "name": "contact-information-reg-number",
     "startWithNewLine": false,
     "title": "Organization registration number or date of birth"
    },
    {
     "type": "text",
     "name": "contact-information-address",
     "title": "Postal address"
    },
    {
     "type": "text",
     "name": "contact-information-municipality",
     "title": "Municipality"
    },
    {
     "type": "text",
     "name": "contact-information-county",
     "startWithNewLine": false,
     "title": "County"
    },
    {
     "type": "text",
     "name": "contact-information-tel",
     "title": "Telephone number including country and area codes",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "+99(9) 999-999-99"
     }
    },
    {
     "type": "text",
     "name": "contact-information-fax",
     "startWithNewLine": false,
     "title": "Fax number including country and area codes",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "+99(9) 999-999-99"
     }
    },
    {
     "type": "text",
     "name": "contact-information-email",
     "title": "E-mail address",
     "inputType": "email",
     "autocomplete": "email"
    },
    {
     "type": "text",
     "name": "contact-information-website",
     "startWithNewLine": false,
     "title": "Website (if relevant)",
     "inputType": "url"
    },
    {
     "type": "text",
     "name": "contact-information-contact-person",
     "title": "Contact person, (project manager)"
    }
   ],
   "title": "1. Contact information"
  },
  {
   "name": "applicant-details",
   "elements": [
    {
     "type": "boolean",
     "name": "registered-employer",
     "title": "Registered as the employer",
     "titleLocation": "top"
    },
    {
     "type": "boolean",
     "name": "VAT",
     "title": "Registered for VAT",
     "titleLocation": "top"
    },
    {
     "type": "text",
     "name": "vat-number",
     "visibleIf": "{VAT} = true",
     "title": "Specify the VAT registration number",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "aa999999999999"
     }
    },
    {
     "type": "boolean",
     "name": "bankruptcy",
     "title": "Is the applicant in a state of bankruptcy or under the supervision of an administrator, or does the applicant have debts for taxes and social security contributions?",
     "titleLocation": "top"
    },
    {
     "type": "checkbox",
     "name": "use",
     "title": "Will the grant be used in a business activity or an activity that is required to file VAT returns?\r",
     "titleLocation": "top",
     "choices": [
      {
       "value": "Item 1",
       "text": "Business activity"
      },
      {
       "value": "Item 2",
       "text": "Activity required to file VAT returns"
      }
     ],
     "colCount": 2
    },
    {
     "type": "radiogroup",
     "name": "organization-form",
     "title": "Organizational form",
     "titleLocation": "top",
     "choices": [
      {
       "value": "Item 1",
       "text": "Non-profit organization"
      },
      {
       "value": "Item 2",
       "text": "Foundation"
      },
      {
       "value": "Item 3",
       "text": "Limited company"
      },
      {
       "value": "Item 5",
       "text": "Registered religious community"
      }
     ],
     "showOtherItem": true,
     "otherText": "Other (please specify)",
     "colCount": 2
    },
    {
     "type": "text",
     "name": "operational-focus",
     "title": "The organization's operational focus"
    },
    {
     "type": "text",
     "name": "foundation-date",
     "startWithNewLine": false,
     "title": "When was the organisation formed?",
     "inputType": "date"
    },
    {
     "type": "text",
     "name": "number-members",
     "title": "Number of members",
     "inputType": "number"
    },
    {
     "type": "text",
     "name": "number-employees",
     "startWithNewLine": false,
     "title": "Number of employees",
     "inputType": "number"
    },
    {
     "type": "matrixdynamic",
     "name": "board-members",
     "title": "Board members or other management",
     "titleLocation": "top",
     "alternateRows": true,
     "columns": [
      {
       "name": "board-members-name",
       "title": "Name",
       "cellType": "text"
      },
      {
       "name": "board-members-address",
       "title": "Address",
       "minWidth": "300px",
       "width": "300px"
      },
      {
       "name": "board-members-tel",
       "title": "Telephone number",
       "cellType": "text",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      },
      {
       "name": "board-members-email",
       "title": "Email address",
       "cellType": "text",
       "inputType": "email",
       "placeholder": "example@gmail.com"
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "cellType": "text",
     "rowCount": 1,
     "addRowText": "Add a new entry"
    }
   ],
   "title": "2. Information about the applicant"
  },
  {
   "name": "grant-details",
   "elements": [
    {
     "type": "text",
     "name": "grant-details-name",
     "title": "Name of grant (if applicable)"
    },
    {
     "type": "text",
     "name": "grant-details-reference-number",
     "startWithNewLine": false,
     "title": "The Government Offices’ reference number (if applicable)"
    },
    {
     "type": "text",
     "name": "grant-details-ministry",
     "title": "Ministry that approves the grant (if the applicant knows)"
    },
    {
     "type": "text",
     "name": "grant-details-amount",
     "startWithNewLine": false,
     "title": "Amount",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "title": "3. Grant to which the application refers"
  },
  {
   "name": "planned-activities",
   "elements": [
    {
     "type": "comment",
     "name": "purpose",
     "title": "Purpose and objectives of the activities against which the results will be reported",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "target-groups",
     "title": "Target groups",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "planned-activities-question",
     "title": "Planned activities\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "own-contribution",
     "title": "Provide details of your own contribution",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "need",
     "title": "The need for the planned activities\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "panel",
     "name": "period",
     "elements": [
      {
       "type": "text",
       "name": "from",
       "title": "From",
       "inputType": "date"
      },
      {
       "type": "text",
       "name": "to",
       "startWithNewLine": false,
       "title": "To",
       "inputType": "date"
      }
     ],
     "title": "The period during which the activities will be carried out",
     "state": "collapsed"
    },
    {
     "type": "comment",
     "name": "gender",
     "title": "How does the applicant intend to gender mainstream the activities?",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "matrixdynamic",
     "name": "collaborations",
     "title": "There will be collaboration with the following companies, government agencies, organizations and institutions",
     "titleLocation": "top",
     "alternateRows": true,
     "columns": [
      {
       "name": "index",
       "title": "#",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "expression": "{rowIndex}"
      },
      {
       "name": "cooperation",
       "title": "In cooperation with",
       "cellType": "text"
      },
      {
       "name": "collaboration-description",
       "title": "Describe the envisioned collaboration",
       "cellType": "comment",
       "maxLength": 250,
       "rows": 1
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "rowCount": 1,
     "addRowText": "Add a new entry"
    },
    {
     "type": "comment",
     "name": "part",
     "title": "Which activities will be carried out if only part of the grant applied for is awarded?\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    }
   ],
   "title": "4. Planned activities"
  },
  {
   "name": "funding",
   "elements": [
    {
     "type": "text",
     "name": "funding-amount",
     "indent": 2,
     "title": "Grant sought from the Government or the Government Offices via this application",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    },
    {
     "type": "matrixdynamic",
     "name": "funding-details",
     "title": "Grants sought or received from other government agencies for implementation of the activities",
     "titleLocation": "top",
     "columns": [
      {
       "name": "funding-grant",
       "title": "Grant",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Totals:",
       "expression": "{rowIndex}"
      },
      {
       "name": "funding-agency",
       "title": "Government agency",
       "cellType": "text"
      },
      {
       "name": "funding-requested",
       "title": "Amount requested",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      },
      {
       "name": "funding-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "matrixdynamic",
     "name": "funding-activities",
     "title": "Grants for implementation of activities have also been sought or received from the following donors",
     "titleLocation": "top",
     "columns": [
      {
       "name": "donor-grant",
       "title": "Grant",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Totals:",
       "expression": "{rowIndex}"
      },
      {
       "name": "donor-donor",
       "title": "Donor",
       "cellType": "text"
      },
      {
       "name": "donor-requested",
       "title": "Amount requested",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      },
      {
       "name": "donor-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "matrixdynamic",
     "name": "other-revenue",
     "title": "Other revenue",
     "titleLocation": "top",
     "columns": [
      {
       "name": "other-revenue-funding",
       "title": "Funding",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Total:",
       "expression": "{rowIndex}"
      },
      {
       "name": "other-revenue-funding-details",
       "title": "Funding details",
       "cellType": "text"
      },
      {
       "name": "other-revenue-funding-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "text",
     "name": "own-contribution-question",
     "indent": 2,
     "title": "Own contribution",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "questionTitleWidth": "650px",
   "questionTitleLocation": "left",
   "title": "5. Funding of activities"
  },
  {
   "name": "activity-budget",
   "elements": [
    {
     "type": "text",
     "name": "activity-budget-revenue",
     "indent": 2,
     "title": "Revenue and own contribution",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    },
    {
     "type": "panel",
     "name": "costs-panel",
     "elements": [
      {
       "type": "matrixdynamic",
       "name": "salaries-costs",
       "title": "Salaries and social insurance contributions",
       "titleLocation": "top",
       "alternateRows": true,
       "columns": [
        {
         "name": "item",
         "title": "Item",
         "cellType": "expression",
         "minWidth": "5px",
         "width": "5px",
         "totalType": "count",
         "totalFormat": "Total:",
         "expression": "{rowIndex}"
        },
        {
         "name": "function",
         "title": "Function (e.g. project manager)",
         "cellType": "text"
        },
        {
         "name": "amount",
         "title": "Amount",
         "cellType": "text",
         "minWidth": "200px",
         "width": "200px",
         "totalType": "sum",
         "totalDisplayStyle": "currency",
         "maskType": "currency",
         "maskSettings": {
          "prefix": "$"
         }
        }
       ],
       "choices": [
        1,
        2,
        3,
        4,
        5
       ],
       "rowCount": 1,
       "addRowText": "Add a new entry"
      }
     ],
     "title": "Costs"
    },
    {
     "type": "matrixdropdown",
     "name": "costs-multi-select",
     "titleLocation": "hidden",
     "alternateRows": true,
     "columns": [
      {
       "name": "amount",
       "title": "Amount",
       "cellType": "text",
       "minWidth": "240px",
       "width": "240px",
       "totalType": "sum",
       "totalFormat": "Total: {0}",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "rows": [
      {
       "value": "Row 1",
       "text": "Office costs"
      },
      {
       "value": "Row 2",
       "text": "Travel costs"
      },
      {
       "value": "Row 3",
       "text": "Audit costs"
      }
     ]
    },
    {
     "type": "panel",
     "name": "other-costs-panel",
     "elements": [
      {
       "type": "matrixdynamic",
       "name": "other-costs",
       "startWithNewLine": false,
       "title": "Other costs",
       "titleLocation": "hidden",
       "alternateRows": true,
       "columns": [
        {
         "name": "item",
         "title": "Item",
         "cellType": "expression",
         "minWidth": "5px",
         "width": "5px",
         "totalType": "count",
         "totalFormat": "Total:",
         "expression": "{rowIndex}"
        },
        {
         "name": "cost-description",
         "title": "Cost description",
         "cellType": "text"
        },
        {
         "name": "amount",
         "title": "Amount",
         "cellType": "text",
         "minWidth": "200px",
         "width": "200px",
         "totalType": "sum",
         "totalDisplayStyle": "currency",
         "maskType": "currency",
         "maskSettings": {
          "prefix": "$"
         }
        }
       ],
       "choices": [
        1,
        2,
        3,
        4,
        5
       ],
       "rowCount": 1,
       "addRowText": "Add a new entry"
      }
     ],
     "title": "Other costs"
    },
    {
     "type": "text",
     "name": "total-costs",
     "indent": 2,
     "title": "Total costs:",
     "setValueIf": "{costs-multi-select.Row 1.amount} notempty or {costs-multi-select.Row 2.amount} notempty or {costs-multi-select.Row 3.amount} notempty or {salaries-costs[0].amount} notempty or {other-costs[0].amount} notempty",
     "setValueExpression": "{other-costs-total.amount} + {costs-multi-select-total.amount} + {salaries-costs-total.amount}",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "questionTitleWidth": "650px",
   "questionTitleLocation": "left",
   "title": "6. Activity budget"
  },
  {
   "name": "skills",
   "elements": [
    {
     "type": "comment",
     "name": "skills-prospects",
     "title": "Describe the applicant’s prospects of carrying out the activities described.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "skills-activities",
     "title": "Specify activities that have previously been conducted.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "file",
     "name": "skills-ani-corruption",
     "title": "Please attach the applicants anti-corruption policy or the equivalent.",
     "titleLocation": "top",
     "waitForUpload": true
    },
    {
     "type": "file",
     "name": "skills-risk-analysis",
     "startWithNewLine": false,
     "title": "Please attach the applicants risk analysis concerning the activity of the envisaged grant.",
     "titleLocation": "top",
     "waitForUpload": true
    },
    {
     "type": "comment",
     "name": "skills-other-information",
     "title": "Other information that the applicant wishes to present to confirm his or her skills to carry out the activities and achieve the specified goals.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    }
   ],
   "title": "7. Skills requirement regarding the activities covered by the grant application"
  },
  {
   "name": "page8",
   "elements": [
    {
     "type": "panel",
     "name": "reference-one-panel",
     "elements": [
      {
       "type": "text",
       "name": "reference-one-name",
       "title": "Name"
      },
      {
       "type": "comment",
       "name": "reference-one-address",
       "title": "Address",
       "maxLength": 200,
       "rows": 2,
       "autoGrow": true
      },
      {
       "type": "text",
       "name": "reference-one-email",
       "title": "E-mail address",
       "inputType": "email",
       "autocomplete": "email"
      },
      {
       "type": "text",
       "name": "reference-one-tel",
       "title": "Telephone number including area code",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      }
     ],
     "title": "Reference 1"
    },
    {
     "type": "panel",
     "name": "reference-two-panel",
     "elements": [
      {
       "type": "text",
       "name": "reference-two-name",
       "title": "Name"
      },
      {
       "type": "comment",
       "name": "reference-two-address",
       "title": "Address",
       "maxLength": 200,
       "rows": 2,
       "autoGrow": true
      },
      {
       "type": "text",
       "name": "reference-two-email",
       "title": "E-mail address",
       "inputType": "email",
       "autocomplete": "email"
      },
      {
       "type": "text",
       "name": "reference-two-tel",
       "title": "Telephone number including area code",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      }
     ],
     "title": "Reference 2",
     "startWithNewLine": false
    }
   ],
   "title": "8. References"
  },
  {
   "name": "other-information",
   "elements": [
    {
     "type": "comment",
     "name": "other-information-box",
     "title": "Please provide any further information that needs to be considered."
    }
   ],
   "title": "9. Other information in support of the specific grant"
  }
 ],
 "questionTitleLocation": "bottom",
 "showTOC": true,
 "widthMode": "static",
 "width": "1100"
};
```

### `src/app/components/survey.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/survey.component.html`

```html
<survey [model]="model" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; height:100%"></survey>
```

### `src/app/components/survey.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { json } from "./json";
import { themeJson } from "./theme";
import "./survey.component.css";
import "survey-core/survey-core.min.css";

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./survey.component.html",
    styleUrls: ["./survey.component.css"]
})
export class SurveyComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.applyTheme(themeJson);
        survey.onComplete.add((sender, options) => {
            console.log(JSON.stringify(sender.data, null, 3));
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {
    "themeName": "sharp",
    "colorPalette": "light",
    "isPanelless": true,
    "backgroundImage": "",
    "backgroundOpacity": 1,
    "backgroundImageAttachment": "scroll",
    "backgroundImageFit": "cover",
    "cssVariables": {
        "--sjs2-color-bg-basic-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-property-grid": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-tabs": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-toolbox": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-basic-primary-dim": "rgba(228, 228, 228, 1)",
        "--sjs2-color-bg-neutral-tertiary-dim": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-surface-survey-panelless": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-surface-survey": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-basic-secondary": "rgba(238, 238, 238, 1)",
        "--sjs2-color-bg-basic-secondary-dim": "rgba(220, 220, 220, 1)",
        "--sjs2-color-fg-basic-primary": "rgba(0, 0, 0, 0.91)",
        "--sjs2-color-fg-basic-secondary": "rgba(0, 0, 0, 0.6)",
        "--sjs2-color-project-brand-600": "rgba(103, 58, 176, 1)",
        "--sjs2-color-bg-brand-secondary": "rgba(103, 58, 176, 0.1)",
        "--sjs2-color-bg-brand-primary-dim": "rgba(69, 24, 142, 1)",
        "--sjs2-color-fg-brand-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-fg-brand-primary-disabled": "rgba(255, 255, 255, 0.25)",
        "--sjs2-base-unit-size": "8px",
        "--sjs2-base-unit-spacing": "8px",
        "--sjs2-base-unit-radius": "4px",
        "--sjs2-color-bg-accent-primary": "rgba(255, 152, 20, 1)",
        "--sjs2-color-bg-accent-secondary": "rgba(255, 152, 20, 0.1)",
        "--sjs2-color-bg-accent-secondary-dim": "rgba(255, 152, 20, 0.25)",
        "--sjs2-color-fg-accent-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-fg-accent-primary-disabled": "rgba(255, 255, 255, 0.25)",
        "--sjs2-border-effect-surface-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.2)",
        "--sjs2-border-effect-floating-default": "0px 2px 6px 0px rgba(0, 0, 0, 0.1),0px 8px 16px 0px rgba(0, 0, 0, 0.1)",
        "--sjs2-border-effect-component-formbox-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-border-effect-component-check-true-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-border-effect-component-check-false-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-color-border-basic-secondary": "rgba(0, 0, 0, 0.25)",
        "--sjs2-color-component-input-default-line": "rgba(0, 0, 0, 0.25)",
        "--sjs2-color-border-basic-secondary-overlay": "rgba(0, 0, 0, 0.16)",
        "--sjs2-color-bg-alert-primary": "rgba(229, 10, 62, 1)",
        "--sjs2-color-bg-alert-secondary": "rgba(229, 10, 62, 0.1)",
        "--sjs2-color-fg-alert-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-positive-primary": "rgba(25, 179, 148, 1)",
        "--sjs2-color-bg-positive-secondary": "rgba(25, 179, 148, 0.1)",
        "--sjs2-color-fg-positive-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-note-primary": "rgba(67, 127, 217, 1)",
        "--sjs2-color-bg-note-secondary": "rgba(67, 127, 217, 0.1)",
        "--sjs2-color-fg-note-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-warning-primary": "rgba(255, 152, 20, 1)",
        "--sjs2-color-bg-warning-secondary": "rgba(255, 152, 20, 0.1)",
        "--sjs2-color-fg-warning-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-typography-font-weight-component-header-title": "700",
        "--sjs2-typography-font-size-component-header-description": "20px",
        "--sjs2-typography-font-weight-component-page-title": "700"
    },
    "headerView": "basic"
};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyComponent } from "./components/survey.component";

@NgModule({
    declarations: [AppComponent, SurveyComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
/* You can add your custom CSS here. */
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/form-library/examples/grant-application-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/grant-application-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/grant-application-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/grant-application-form-template/vanillajs.md)


---
title: Grant Application Form
product: Form Library
description: A grant application form is used by non-profit organizations or individuals to apply for funding from grant-making bodies such as government agencies, foundations, or corporations. Easily integrate SurveyJS Form Builder with your existing system to manage applications and funding request form efficiently.
framework: React
source: https://surveyjs.io/form-library/examples/grant-application-form-template/reactjs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Grant Application Form (React)

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/SurveyComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import { themeJson } from "./theme";
import "./index.css";
import { json } from "./json";

function SurveyComponent() {
    const survey = new Model(json);
    survey.applyTheme(themeJson);
    survey.onComplete.add((sender, options) => {
        console.log(JSON.stringify(sender.data, null, 3));
    });
    return (<Survey model={survey} />);
}

export default SurveyComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyComponent from "./SurveyComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyComponent />);
```

### `src/json.js`

```js
export const json = {
 "title": "Grant Application Form for NPO",
 "completedHtml": "<h3>Thank you for submitting the application!</h3>",
 "pages": [
  {
   "name": "contact-information",
   "elements": [
    {
     "type": "text",
     "name": "contact-information-name",
     "title": "Name"
    },
    {
     "type": "text",
     "name": "contact-information-reg-number",
     "startWithNewLine": false,
     "title": "Organization registration number or date of birth"
    },
    {
     "type": "text",
     "name": "contact-information-address",
     "title": "Postal address"
    },
    {
     "type": "text",
     "name": "contact-information-municipality",
     "title": "Municipality"
    },
    {
     "type": "text",
     "name": "contact-information-county",
     "startWithNewLine": false,
     "title": "County"
    },
    {
     "type": "text",
     "name": "contact-information-tel",
     "title": "Telephone number including country and area codes",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "+99(9) 999-999-99"
     }
    },
    {
     "type": "text",
     "name": "contact-information-fax",
     "startWithNewLine": false,
     "title": "Fax number including country and area codes",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "+99(9) 999-999-99"
     }
    },
    {
     "type": "text",
     "name": "contact-information-email",
     "title": "E-mail address",
     "inputType": "email",
     "autocomplete": "email"
    },
    {
     "type": "text",
     "name": "contact-information-website",
     "startWithNewLine": false,
     "title": "Website (if relevant)",
     "inputType": "url"
    },
    {
     "type": "text",
     "name": "contact-information-contact-person",
     "title": "Contact person, (project manager)"
    }
   ],
   "title": "1. Contact information"
  },
  {
   "name": "applicant-details",
   "elements": [
    {
     "type": "boolean",
     "name": "registered-employer",
     "title": "Registered as the employer",
     "titleLocation": "top"
    },
    {
     "type": "boolean",
     "name": "VAT",
     "title": "Registered for VAT",
     "titleLocation": "top"
    },
    {
     "type": "text",
     "name": "vat-number",
     "visibleIf": "{VAT} = true",
     "title": "Specify the VAT registration number",
     "maskType": "pattern",
     "maskSettings": {
      "pattern": "aa999999999999"
     }
    },
    {
     "type": "boolean",
     "name": "bankruptcy",
     "title": "Is the applicant in a state of bankruptcy or under the supervision of an administrator, or does the applicant have debts for taxes and social security contributions?",
     "titleLocation": "top"
    },
    {
     "type": "checkbox",
     "name": "use",
     "title": "Will the grant be used in a business activity or an activity that is required to file VAT returns?\r",
     "titleLocation": "top",
     "choices": [
      {
       "value": "Item 1",
       "text": "Business activity"
      },
      {
       "value": "Item 2",
       "text": "Activity required to file VAT returns"
      }
     ],
     "colCount": 2
    },
    {
     "type": "radiogroup",
     "name": "organization-form",
     "title": "Organizational form",
     "titleLocation": "top",
     "choices": [
      {
       "value": "Item 1",
       "text": "Non-profit organization"
      },
      {
       "value": "Item 2",
       "text": "Foundation"
      },
      {
       "value": "Item 3",
       "text": "Limited company"
      },
      {
       "value": "Item 5",
       "text": "Registered religious community"
      }
     ],
     "showOtherItem": true,
     "otherText": "Other (please specify)",
     "colCount": 2
    },
    {
     "type": "text",
     "name": "operational-focus",
     "title": "The organization's operational focus"
    },
    {
     "type": "text",
     "name": "foundation-date",
     "startWithNewLine": false,
     "title": "When was the organisation formed?",
     "inputType": "date"
    },
    {
     "type": "text",
     "name": "number-members",
     "title": "Number of members",
     "inputType": "number"
    },
    {
     "type": "text",
     "name": "number-employees",
     "startWithNewLine": false,
     "title": "Number of employees",
     "inputType": "number"
    },
    {
     "type": "matrixdynamic",
     "name": "board-members",
     "title": "Board members or other management",
     "titleLocation": "top",
     "alternateRows": true,
     "columns": [
      {
       "name": "board-members-name",
       "title": "Name",
       "cellType": "text"
      },
      {
       "name": "board-members-address",
       "title": "Address",
       "minWidth": "300px",
       "width": "300px"
      },
      {
       "name": "board-members-tel",
       "title": "Telephone number",
       "cellType": "text",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      },
      {
       "name": "board-members-email",
       "title": "Email address",
       "cellType": "text",
       "inputType": "email",
       "placeholder": "example@gmail.com"
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "cellType": "text",
     "rowCount": 1,
     "addRowText": "Add a new entry"
    }
   ],
   "title": "2. Information about the applicant"
  },
  {
   "name": "grant-details",
   "elements": [
    {
     "type": "text",
     "name": "grant-details-name",
     "title": "Name of grant (if applicable)"
    },
    {
     "type": "text",
     "name": "grant-details-reference-number",
     "startWithNewLine": false,
     "title": "The Government Offices’ reference number (if applicable)"
    },
    {
     "type": "text",
     "name": "grant-details-ministry",
     "title": "Ministry that approves the grant (if the applicant knows)"
    },
    {
     "type": "text",
     "name": "grant-details-amount",
     "startWithNewLine": false,
     "title": "Amount",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "title": "3. Grant to which the application refers"
  },
  {
   "name": "planned-activities",
   "elements": [
    {
     "type": "comment",
     "name": "purpose",
     "title": "Purpose and objectives of the activities against which the results will be reported",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "target-groups",
     "title": "Target groups",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "planned-activities-question",
     "title": "Planned activities\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "own-contribution",
     "title": "Provide details of your own contribution",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "need",
     "title": "The need for the planned activities\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "panel",
     "name": "period",
     "elements": [
      {
       "type": "text",
       "name": "from",
       "title": "From",
       "inputType": "date"
      },
      {
       "type": "text",
       "name": "to",
       "startWithNewLine": false,
       "title": "To",
       "inputType": "date"
      }
     ],
     "title": "The period during which the activities will be carried out",
     "state": "collapsed"
    },
    {
     "type": "comment",
     "name": "gender",
     "title": "How does the applicant intend to gender mainstream the activities?",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "matrixdynamic",
     "name": "collaborations",
     "title": "There will be collaboration with the following companies, government agencies, organizations and institutions",
     "titleLocation": "top",
     "alternateRows": true,
     "columns": [
      {
       "name": "index",
       "title": "#",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "expression": "{rowIndex}"
      },
      {
       "name": "cooperation",
       "title": "In cooperation with",
       "cellType": "text"
      },
      {
       "name": "collaboration-description",
       "title": "Describe the envisioned collaboration",
       "cellType": "comment",
       "maxLength": 250,
       "rows": 1
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "rowCount": 1,
     "addRowText": "Add a new entry"
    },
    {
     "type": "comment",
     "name": "part",
     "title": "Which activities will be carried out if only part of the grant applied for is awarded?\r",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    }
   ],
   "title": "4. Planned activities"
  },
  {
   "name": "funding",
   "elements": [
    {
     "type": "text",
     "name": "funding-amount",
     "indent": 2,
     "title": "Grant sought from the Government or the Government Offices via this application",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    },
    {
     "type": "matrixdynamic",
     "name": "funding-details",
     "title": "Grants sought or received from other government agencies for implementation of the activities",
     "titleLocation": "top",
     "columns": [
      {
       "name": "funding-grant",
       "title": "Grant",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Totals:",
       "expression": "{rowIndex}"
      },
      {
       "name": "funding-agency",
       "title": "Government agency",
       "cellType": "text"
      },
      {
       "name": "funding-requested",
       "title": "Amount requested",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      },
      {
       "name": "funding-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "matrixdynamic",
     "name": "funding-activities",
     "title": "Grants for implementation of activities have also been sought or received from the following donors",
     "titleLocation": "top",
     "columns": [
      {
       "name": "donor-grant",
       "title": "Grant",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Totals:",
       "expression": "{rowIndex}"
      },
      {
       "name": "donor-donor",
       "title": "Donor",
       "cellType": "text"
      },
      {
       "name": "donor-requested",
       "title": "Amount requested",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      },
      {
       "name": "donor-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "matrixdynamic",
     "name": "other-revenue",
     "title": "Other revenue",
     "titleLocation": "top",
     "columns": [
      {
       "name": "other-revenue-funding",
       "title": "Funding",
       "cellType": "expression",
       "minWidth": "5px",
       "width": "5px",
       "totalType": "count",
       "totalFormat": "Total:",
       "expression": "{rowIndex}"
      },
      {
       "name": "other-revenue-funding-details",
       "title": "Funding details",
       "cellType": "text"
      },
      {
       "name": "other-revenue-funding-received",
       "title": "Amount received",
       "cellType": "text",
       "minWidth": "200px",
       "width": "200px",
       "totalType": "sum",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ]
    },
    {
     "type": "text",
     "name": "own-contribution-question",
     "indent": 2,
     "title": "Own contribution",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "questionTitleWidth": "650px",
   "questionTitleLocation": "left",
   "title": "5. Funding of activities"
  },
  {
   "name": "activity-budget",
   "elements": [
    {
     "type": "text",
     "name": "activity-budget-revenue",
     "indent": 2,
     "title": "Revenue and own contribution",
     "titleLocation": "left",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    },
    {
     "type": "panel",
     "name": "costs-panel",
     "elements": [
      {
       "type": "matrixdynamic",
       "name": "salaries-costs",
       "title": "Salaries and social insurance contributions",
       "titleLocation": "top",
       "alternateRows": true,
       "columns": [
        {
         "name": "item",
         "title": "Item",
         "cellType": "expression",
         "minWidth": "5px",
         "width": "5px",
         "totalType": "count",
         "totalFormat": "Total:",
         "expression": "{rowIndex}"
        },
        {
         "name": "function",
         "title": "Function (e.g. project manager)",
         "cellType": "text"
        },
        {
         "name": "amount",
         "title": "Amount",
         "cellType": "text",
         "minWidth": "200px",
         "width": "200px",
         "totalType": "sum",
         "totalDisplayStyle": "currency",
         "maskType": "currency",
         "maskSettings": {
          "prefix": "$"
         }
        }
       ],
       "choices": [
        1,
        2,
        3,
        4,
        5
       ],
       "rowCount": 1,
       "addRowText": "Add a new entry"
      }
     ],
     "title": "Costs"
    },
    {
     "type": "matrixdropdown",
     "name": "costs-multi-select",
     "titleLocation": "hidden",
     "alternateRows": true,
     "columns": [
      {
       "name": "amount",
       "title": "Amount",
       "cellType": "text",
       "minWidth": "240px",
       "width": "240px",
       "totalType": "sum",
       "totalFormat": "Total: {0}",
       "totalDisplayStyle": "currency",
       "maskType": "currency",
       "maskSettings": {
        "prefix": "$"
       }
      }
     ],
     "choices": [
      1,
      2,
      3,
      4,
      5
     ],
     "rows": [
      {
       "value": "Row 1",
       "text": "Office costs"
      },
      {
       "value": "Row 2",
       "text": "Travel costs"
      },
      {
       "value": "Row 3",
       "text": "Audit costs"
      }
     ]
    },
    {
     "type": "panel",
     "name": "other-costs-panel",
     "elements": [
      {
       "type": "matrixdynamic",
       "name": "other-costs",
       "startWithNewLine": false,
       "title": "Other costs",
       "titleLocation": "hidden",
       "alternateRows": true,
       "columns": [
        {
         "name": "item",
         "title": "Item",
         "cellType": "expression",
         "minWidth": "5px",
         "width": "5px",
         "totalType": "count",
         "totalFormat": "Total:",
         "expression": "{rowIndex}"
        },
        {
         "name": "cost-description",
         "title": "Cost description",
         "cellType": "text"
        },
        {
         "name": "amount",
         "title": "Amount",
         "cellType": "text",
         "minWidth": "200px",
         "width": "200px",
         "totalType": "sum",
         "totalDisplayStyle": "currency",
         "maskType": "currency",
         "maskSettings": {
          "prefix": "$"
         }
        }
       ],
       "choices": [
        1,
        2,
        3,
        4,
        5
       ],
       "rowCount": 1,
       "addRowText": "Add a new entry"
      }
     ],
     "title": "Other costs"
    },
    {
     "type": "text",
     "name": "total-costs",
     "indent": 2,
     "title": "Total costs:",
     "setValueIf": "{costs-multi-select.Row 1.amount} notempty or {costs-multi-select.Row 2.amount} notempty or {costs-multi-select.Row 3.amount} notempty or {salaries-costs[0].amount} notempty or {other-costs[0].amount} notempty",
     "setValueExpression": "{other-costs-total.amount} + {costs-multi-select-total.amount} + {salaries-costs-total.amount}",
     "maskType": "currency",
     "maskSettings": {
      "prefix": "$"
     }
    }
   ],
   "questionTitleWidth": "650px",
   "questionTitleLocation": "left",
   "title": "6. Activity budget"
  },
  {
   "name": "skills",
   "elements": [
    {
     "type": "comment",
     "name": "skills-prospects",
     "title": "Describe the applicant’s prospects of carrying out the activities described.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "comment",
     "name": "skills-activities",
     "title": "Specify activities that have previously been conducted.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    },
    {
     "type": "file",
     "name": "skills-ani-corruption",
     "title": "Please attach the applicants anti-corruption policy or the equivalent.",
     "titleLocation": "top",
     "waitForUpload": true
    },
    {
     "type": "file",
     "name": "skills-risk-analysis",
     "startWithNewLine": false,
     "title": "Please attach the applicants risk analysis concerning the activity of the envisaged grant.",
     "titleLocation": "top",
     "waitForUpload": true
    },
    {
     "type": "comment",
     "name": "skills-other-information",
     "title": "Other information that the applicant wishes to present to confirm his or her skills to carry out the activities and achieve the specified goals.",
     "maxLength": 250,
     "rows": 2,
     "autoGrow": true
    }
   ],
   "title": "7. Skills requirement regarding the activities covered by the grant application"
  },
  {
   "name": "page8",
   "elements": [
    {
     "type": "panel",
     "name": "reference-one-panel",
     "elements": [
      {
       "type": "text",
       "name": "reference-one-name",
       "title": "Name"
      },
      {
       "type": "comment",
       "name": "reference-one-address",
       "title": "Address",
       "maxLength": 200,
       "rows": 2,
       "autoGrow": true
      },
      {
       "type": "text",
       "name": "reference-one-email",
       "title": "E-mail address",
       "inputType": "email",
       "autocomplete": "email"
      },
      {
       "type": "text",
       "name": "reference-one-tel",
       "title": "Telephone number including area code",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      }
     ],
     "title": "Reference 1"
    },
    {
     "type": "panel",
     "name": "reference-two-panel",
     "elements": [
      {
       "type": "text",
       "name": "reference-two-name",
       "title": "Name"
      },
      {
       "type": "comment",
       "name": "reference-two-address",
       "title": "Address",
       "maxLength": 200,
       "rows": 2,
       "autoGrow": true
      },
      {
       "type": "text",
       "name": "reference-two-email",
       "title": "E-mail address",
       "inputType": "email",
       "autocomplete": "email"
      },
      {
       "type": "text",
       "name": "reference-two-tel",
       "title": "Telephone number including area code",
       "maskType": "pattern",
       "maskSettings": {
        "pattern": "+99(9) 999-999-99"
       }
      }
     ],
     "title": "Reference 2",
     "startWithNewLine": false
    }
   ],
   "title": "8. References"
  },
  {
   "name": "other-information",
   "elements": [
    {
     "type": "comment",
     "name": "other-information-box",
     "title": "Please provide any further information that needs to be considered."
    }
   ],
   "title": "9. Other information in support of the specific grant"
  }
 ],
 "questionTitleLocation": "bottom",
 "showTOC": true,
 "widthMode": "static",
 "width": "1100"
};
```

### `src/theme.js`

```js
export const themeJson = {
    "themeName": "sharp",
    "colorPalette": "light",
    "isPanelless": true,
    "backgroundImage": "",
    "backgroundOpacity": 1,
    "backgroundImageAttachment": "scroll",
    "backgroundImageFit": "cover",
    "cssVariables": {
        "--sjs2-color-bg-basic-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-property-grid": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-tabs": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-toolbox": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-basic-primary-dim": "rgba(228, 228, 228, 1)",
        "--sjs2-color-bg-neutral-tertiary-dim": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-surface-survey-panelless": "rgba(255, 255, 255, 1)",
        "--sjs2-color-utility-surface-survey": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-basic-secondary": "rgba(238, 238, 238, 1)",
        "--sjs2-color-bg-basic-secondary-dim": "rgba(220, 220, 220, 1)",
        "--sjs2-color-fg-basic-primary": "rgba(0, 0, 0, 0.91)",
        "--sjs2-color-fg-basic-secondary": "rgba(0, 0, 0, 0.6)",
        "--sjs2-color-project-brand-600": "rgba(103, 58, 176, 1)",
        "--sjs2-color-bg-brand-secondary": "rgba(103, 58, 176, 0.1)",
        "--sjs2-color-bg-brand-primary-dim": "rgba(69, 24, 142, 1)",
        "--sjs2-color-fg-brand-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-fg-brand-primary-disabled": "rgba(255, 255, 255, 0.25)",
        "--sjs2-base-unit-size": "8px",
        "--sjs2-base-unit-spacing": "8px",
        "--sjs2-base-unit-radius": "4px",
        "--sjs2-color-bg-accent-primary": "rgba(255, 152, 20, 1)",
        "--sjs2-color-bg-accent-secondary": "rgba(255, 152, 20, 0.1)",
        "--sjs2-color-bg-accent-secondary-dim": "rgba(255, 152, 20, 0.25)",
        "--sjs2-color-fg-accent-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-fg-accent-primary-disabled": "rgba(255, 255, 255, 0.25)",
        "--sjs2-border-effect-surface-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.2)",
        "--sjs2-border-effect-floating-default": "0px 2px 6px 0px rgba(0, 0, 0, 0.1),0px 8px 16px 0px rgba(0, 0, 0, 0.1)",
        "--sjs2-border-effect-component-formbox-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-border-effect-component-check-true-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-border-effect-component-check-false-default": "0px 0px 0px 1px rgba(0, 0, 0, 0.25)",
        "--sjs2-color-border-basic-secondary": "rgba(0, 0, 0, 0.25)",
        "--sjs2-color-component-input-default-line": "rgba(0, 0, 0, 0.25)",
        "--sjs2-color-border-basic-secondary-overlay": "rgba(0, 0, 0, 0.16)",
        "--sjs2-color-bg-alert-primary": "rgba(229, 10, 62, 1)",
        "--sjs2-color-bg-alert-secondary": "rgba(229, 10, 62, 0.1)",
        "--sjs2-color-fg-alert-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-positive-primary": "rgba(25, 179, 148, 1)",
        "--sjs2-color-bg-positive-secondary": "rgba(25, 179, 148, 0.1)",
        "--sjs2-color-fg-positive-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-note-primary": "rgba(67, 127, 217, 1)",
        "--sjs2-color-bg-note-secondary": "rgba(67, 127, 217, 0.1)",
        "--sjs2-color-fg-note-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-color-bg-warning-primary": "rgba(255, 152, 20, 1)",
        "--sjs2-color-bg-warning-secondary": "rgba(255, 152, 20, 0.1)",
        "--sjs2-color-fg-warning-on-primary": "rgba(255, 255, 255, 1)",
        "--sjs2-typography-font-weight-component-header-title": "700",
        "--sjs2-typography-font-size-component-header-description": "20px",
        "--sjs2-typography-font-weight-component-page-title": "700"
    },
    "headerView": "basic"
};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/grant-application-form-template/angular.md)
- [Vue 3](https://surveyjs.io/form-library/examples/grant-application-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/grant-application-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/grant-application-form-template/vanillajs.md)
